import Post from "./Post";
import styles from "styles/Posts.module.sass";
import { SocialButton } from "utils/types";
import { CSSProperties } from "react";

const PostGrid = ({ posts, style }: { posts: any; style?: CSSProperties }) => {
  return (
    <>
      <div className={styles.grid} style={style}>
        {posts.map((post, index) => {
          return <Post key={index} {...post} />;
        })}
      </div>
    </>
  );
};

export default PostGrid;
