import Image from "next/image";
import styles from "styles/Title.module.sass";
import { useTheme } from 'next-themes'

const Title = () => {
    const { resolvedTheme: theme } = useTheme()
    const logo_size = 150;
  
  return (
    <>
      <Image
        src={`/logos/${theme || "dark"}.svg`}
        width={logo_size}
        height={logo_size / 4}
        className={styles.title}
      />
    </>
  );
};

export default Title;
